field.storage_settings.svg_image_field:
  type: field.storage_settings.file
  label: 'Image settings'
  mapping:
    default_image:
      type: field_default_image
      label: 'Default value'

field.field_settings.svg_image_field:
  type: base_file_field_field_settings
  label: 'Image settings'
  mapping:
    alt_field:
      type: boolean
      label: 'Enable Alt field'
    alt_field_required:
      type: boolean
      label: 'Alt field required'
    title_field:
      type: boolean
      label: 'Enable Title field'
    title_field_required:
      type: boolean
      label: 'Title field required'
    default_image:
      type: field_default_image
      label: 'Default value'

field.value.svg_image_field:
  type: field_default_image
  label: 'Default value'

field.formatter.settings.svg_image_field_formatter:
  type: mapping
  label: 'Image field display format settings'
  mapping:
    inline:
      type: boolean
      label: 'Output SVG inline'
    apply_dimensions:
      type: boolean
      label: 'Apply dimensions'
    width:
      type: integer
      label: 'Width'
    height:
      type: integer
      label: 'Height'
    enable_alt:
      type: boolean
      label: 'Enable alt'
    enable_title:
      type: boolean
      label: 'Enable title'
    link:
      type: string
      label: 'Link image to'
    force_fill:
      type: boolean
      label: 'Force fill'
    sanitize:
      type: boolean
      label: 'Sanitize'
    sanitize_remote:
      type: boolean
      label: 'Sanitize remote'


field.widget.settings.svg_image_field_widget:
  type: mapping
  label: 'Image field display format settings'
  mapping:
    progress_indicator:
      type: string
      label: 'Progress indicator'
    preview_image_max_width:
      type: integer
      label: 'Preview max width'
    preview_image_max_height:
      type: integer
      label: 'Preview max height'
